Package org.gradle.api

## Class Task.Namer

- java.lang.Object
- - org.gradle.api.Task.Namer

- All Implemented Interfaces:
    `Namer<Task>`
  Enclosing interface:
    Task

      public static class Task.Namer
      extends Object
      implements Namer<Task>

  A `Namer` namer for tasks that returns `Task.getName()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Namer

      `Namer.Comparator<T>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Namer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `determineName​(Task c)` | Determines the name of the given object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Namer

          public Namer()

  - ### Method Detail

    - #### determineName

          public String determineName​(Task c)

      Description copied from interface: `Namer`
      Determines the name of the given object.
      Specified by:
        `determineName` in interface `Namer<Task>`
      Parameters:
        `c` - The object to determine the name of
      Returns:
        The object's inherent name. Never null.